%define		kdeplasmaver	5.11.2
%define		qtver		5.3.2
%define		kpname		kwayland-integration

Summary:	Provides integration plugins for various KDE frameworks for the wayland windowing system
Name:		kp5-%{kpname}
Version:	5.11.2
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	58616536e63dd5dfb95c346e44b61874
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-kidletime-devel
BuildRequires:	kf5-kwayland-devel
BuildRequires:	kf5-kwindowsystem-devel
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
Provides integration plugins for various KDE frameworks for the
wayland windowing system.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kidletime.platforms
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/org.kde.kidletime.platforms/KF5IdleTimeKWaylandPlugin.so
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kwindowsystem.platforms
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/org.kde.kwindowsystem.platforms/KF5WindowSystemKWaylandPlugin.so
%changelog
* Mon Oct 30 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kwayland-integration.git;a=log;h=master

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 9ecfbcd
- updated to 5.11.2

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 74e1f32
- release 2 (by relup.sh)

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 496e011
- updated BRs

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> 65022ac
- updated to 5.5.4

* Sun Sep 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 808a276
- initial

